AbstractAspectJAdvisorFactory.AspectJAnnotationType (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.aop.aspectj.annotation

## Enum AbstractAspectJAdvisorFactory.AspectJAnnotationType

- java.lang.Object
- - java.lang.Enum<AbstractAspectJAdvisorFactory.AspectJAnnotationType>
  - - org.springframework.aop.aspectj.annotation.AbstractAspectJAdvisorFactory.AspectJAnnotationType

- All Implemented Interfaces:
    Serializable, Comparable<AbstractAspectJAdvisorFactory.AspectJAnnotationType>
  Enclosing class:
    AbstractAspectJAdvisorFactory

      protected static enum AbstractAspectJAdvisorFactory.AspectJAnnotationType
      extends Enum<AbstractAspectJAdvisorFactory.AspectJAnnotationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AtAfter`
    `AtAfterReturning`
    `AtAfterThrowing`
    `AtAround`
    `AtBefore`
    `AtPointcut`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractAspectJAdvisorFactory.AspectJAnnotationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractAspectJAdvisorFactory.AspectJAnnotationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AtPointcut

          public static final AbstractAspectJAdvisorFactory.AspectJAnnotationType AtPointcut

    - #### AtBefore

          public static final AbstractAspectJAdvisorFactory.AspectJAnnotationType AtBefore

    - #### AtAfter

          public static final AbstractAspectJAdvisorFactory.AspectJAnnotationType AtAfter

    - #### AtAfterReturning

          public static final AbstractAspectJAdvisorFactory.AspectJAnnotationType AtAfterReturning

    - #### AtAfterThrowing

          public static final AbstractAspectJAdvisorFactory.AspectJAnnotationType AtAfterThrowing

    - #### AtAround

          public static final AbstractAspectJAdvisorFactory.AspectJAnnotationType AtAround

  - ### Method Detail

    - #### values

          public static AbstractAspectJAdvisorFactory.AspectJAnnotationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractAspectJAdvisorFactory.AspectJAnnotationType c : AbstractAspectJAdvisorFactory.AspectJAnnotationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractAspectJAdvisorFactory.AspectJAnnotationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null